
Redmine - Defect #16022

Deprecation warning with incoming emails

2014-02-04 22:54 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.4.0

Description

By using the rake task as a cronjob to receive mails from an imap server I get this warning

[deprecated] I18n.enforce_available_locales will default to true in the future. If you really want

 to skip validation of your locale you can set I18n.enforce_available_locales = false to avoid thi

s message.

History

#1 - 2014-03-01 01:59 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed by r12366.

#2 - 2014-08-23 15:17 - Philip Schiffer

This is not fixed, I'm still getting this warning on 2.5.2.

This is the script which is run by cron

#!/bin/bash

cd /opt/redmine

RAILS_ENV="production" rake redmine:email:receive_imap host=<IP> username=<Username> password=<Passwort>

 Edit: appears to be a Plugins fault

Powered by TCPDF (www.tcpdf.org)

2025-05-09 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/12366
http://www.tcpdf.org

